Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 222946 - Update request: flac 1.1.3
Summary: Update request: flac 1.1.3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: flac
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL: http://flac.sourceforge.net/news.html...
Whiteboard:
Depends On:
Blocks: FC7Target FC7UpdateRequests
TreeView+ depends on / blocked
 
Reported: 2007-01-16 22:49 UTC by Michel Alexandre Salim
Modified: 2009-09-21 19:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 09:07:15 UTC


Attachments (Terms of Use)
mandriva patch for vorbis-tools for flac 1.1.3 support (deleted)
2007-02-02 03:04 UTC, Matthias Clasen
no flags Details | Diff
patch for gstreamer-plugins-good (deleted)
2007-02-02 04:58 UTC, Matthias Clasen
no flags Details | Diff
flac-1.1.3-gnu-stack.patch (deleted)
2007-02-02 04:59 UTC, Matthias Clasen
no flags Details | Diff
flac-1.1.3-noxmms.patch (deleted)
2007-02-02 05:01 UTC, Matthias Clasen
no flags Details | Diff
flac-1.1.3-link-ogg.patch (deleted)
2007-02-02 05:01 UTC, Matthias Clasen
no flags Details | Diff

Description Michel Alexandre Salim 2007-01-16 22:49:06 UTC
Description of problem:
Both FC-6 and Rawhide still has flac 1.1.2. The latest version, 1.1.3, provides
among other things higher compression ratio and error recovery. Could this be
pushed at least into Rawhide?


Version-Release number of selected component (if applicable):
1.1.2-27

Comment 1 Matthias Clasen 2007-02-02 02:40:45 UTC
I looked a bit into this, and found that flac is required by vorbis-tools and
gstreamer-plugins-good. And both don't work with flac 1.1.3, since it changed API
again. So this will have to wait until dependencies are updated to work with
flac 1.1.3

Comment 2 Matthias Clasen 2007-02-02 02:50:22 UTC
patch for gstreamer-plugins-good is in
http://bugzilla.gnome.org/show_bug.cgi?id=385887

Comment 3 Matthias Clasen 2007-02-02 03:04:28 UTC
Created attachment 147178 [details]
mandriva patch for vorbis-tools for flac 1.1.3 support

Comment 4 Matthias Clasen 2007-02-02 04:58:25 UTC
Created attachment 147186 [details]
patch for gstreamer-plugins-good

Comment 5 Matthias Clasen 2007-02-02 04:59:59 UTC
Created attachment 147187 [details]
flac-1.1.3-gnu-stack.patch

Comment 6 Matthias Clasen 2007-02-02 05:01:04 UTC
Created attachment 147188 [details]
flac-1.1.3-noxmms.patch

Comment 7 Matthias Clasen 2007-02-02 05:01:58 UTC
Created attachment 147189 [details]
flac-1.1.3-link-ogg.patch

Comment 8 Matthias Clasen 2007-02-02 05:06:29 UTC
I found that I needed to update some of the flac patches, and also had to make
sure that libFLAC.so is linked against libogg.so, otherwise the gst-plugins-good
configure test will fail.

Since this affects a good chunk of extras packages:
akode
audacious-plugins
audacity
easytag
flac123
gstreamer08-plugins
gstreamer-plugins-good
k3b
kdemultimedia
kid3
libtunepimp
mkvtoolnix
muine
scummvm
stratagus
xine-lib
xmms-flac

it would probably be a good idea to give a heads-up on fedora-maintainers
first.

Comment 9 Michel Alexandre Salim 2007-02-04 01:36:14 UTC
Heads-up sent to the list. Could you perhaps host test 1.1.3 RPMs somewhere?
Makes it easier for package maintainers to verify their packages work.

Comment 10 Matthias Clasen 2007-02-05 16:20:00 UTC
Packages are at http://people.redhat.com/mclasen/flac/

Comment 11 Matthias Clasen 2007-02-05 19:08:34 UTC
I've put the flac.spec there too, now.

Comment 12 Bastien Nocera 2007-02-13 09:07:15 UTC
Here goes.

* Tue Feb 13 2007 - Bastien Nocera <bnocera@redhat.com> - 1.1.3-1
- Update with work from Matthias Clasen <mclasen@redhat.com> up
  to upstream 1.1.3 (#229462)
- Remove xmmx-flac Obsolete, as we don't ship the xmms plugin


Comment 13 Miroslav Lichvar 2007-02-14 08:45:47 UTC
flac-1.1.4 was released, there are no API changes, should be pretty easy to update.

Comment 14 Bastien Nocera 2007-02-14 11:58:47 UTC
1.1.4 is building now.

Comment 15 GĂ©rard Milmeister 2007-02-15 23:47:27 UTC
graveman seems to compile against the new version, however I did not succeed
with audacity. So I will build it without flac for now.


Note You need to log in before you can comment on or make changes to this bug.